Subject: Re: [PATCH v12 11/20] index-helper: use watchman to avoid refreshing index with lstat()

From: David Turner <[email-masked]>
Date: Fri, 17 Jun 2016 17:39:12 -0400

> > -                       if (really && cache_errno == EINVAL) {
> > +                       if (really || cache_errno == EINVAL) {
> >                                 /* If we are doing --really-refresh that
> >                                  * means the index is not valid anymore.
> >                                  */
> 
> This looks really odd. I don't see why we would need this. It seems
 > first appeared in your "do not apply" patch [1]. Maybe leftover?
> 
> I found this while re-reading the series and I have not put much time
> in studying this code yet. So I may be wrong. I'll post again if I
> find that it's true after some more staring.
I don't remember the exact details here, but I think we needed this so
that we would ever refresh a file that watchman told us had been
modified.  We definitely were missing some invalidation if we didn't
have it.
P.S. Please CC [email-masked] on these emails as I don't always
check the git mailing list.
P.P.S. I am testing out using emacs to send this message, so if
it ends up screwed up, I apologize.
Date: Fri, 17 Jun 2016 17:38:03 -0400
Message-ID: <[email-masked]>